class User {
  int id;
  String name;
  String surname;
  String email;
  String password;
  String phone;
  DateTime dateOfBirth;

  User.fromJson(Map<String, dynamic> json) {
    if (json != null) {
      this.id = json['id'];
      this.name = json['name'];
      this.surname = json['surname'];
      this.email = json['email'];
      this.phone = json['phone'];
      this.dateOfBirth = DateTime.parse(json['date_of_birth']);
      this.password = json['password'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'name': this.name,
      'surname': this.surname,
      'email': this.email,
      'phone': this.phone,
      'date_of_birth': this.dateOfBirth.toIso8601String(),
      'password': this.password
    };
  }
}
