class UnprocessableEntity implements Exception {
  final errors = Map<String, List<String>>();

  UnprocessableEntity(Map<String, dynamic> errors) {
    errors.forEach((key, value) {
      List<dynamic> fieldErrors = value as List<dynamic>;
      this.errors[key] =
          fieldErrors.map((fieldError) => fieldError as String).toList();
    });
  }
}
