import 'package:easy_pass_common/model/sing_in_view_model.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class SignInEmailInput extends StatelessWidget {
  @override
  Widget build(BuildContext context) {

    final singInViewModel = Provider.of<SignInViewModel>(context);

    return Container(
      child: Center(
        child: TextFormField(
          decoration: InputDecoration(
            labelText: 'Email',
          ),
          onChanged: (text) => singInViewModel.userEmail = text,
          validator: singInViewModel.validateEmail,
        ),
      ),
    );
  }
}