class Event {
  int id;
  String name;
  String description;
  DateTime startTime;
  DateTime endTime;

  Event.fromJson(Map<String, Object> json) {
    if (json != null) {
      id = json['id'];
      name = json['name'];
      description = json['description'];
      startTime = DateTime.tryParse(json['start']);
      endTime = DateTime.tryParse(json['end']);
    }
  }
}
